*,
*::after,
*::before {
  box-sizing: border-box;
}

body {
  font-family: "Avenir Next", Helvetica, Arial, sans-serif;
}

a {
  color: hsl(217, 71%, 53%);
  transition: 0.3s all;
}

a:hover {
  opacity: 0.6;
  text-decoration: none;
}

.wrap {
  overflow: hidden;
}

.main {
  margin: 0 auto;
  max-width: 1080px;
}

.main.main--single {
  max-width: 760px;
}

.header {
  margin-bottom: 3em;
  padding-top: 1em;
  text-align: center;
}

.header a {
  color: hsl(14, 100%, 53%);
  text-decoration: none;
}

.site-title {
  display: block;
  font-size: 2em;
  font-weight: bold;
  margin: 0.67em 0;
}

.search {
  margin: 0 auto;
  width: 300px;
}

.search * {
  box-sizing: content-box;
}

.footer {
  background-color: slategray;
  margin-top: 5em;
  padding: 1em 0 3em;
  text-align: center;
}

.footer small {
  font-size: 1em;
}

.author {
  align-items: center;
  margin: 0 auto;
  max-width: 760px;
  padding: 0 5%;
  text-align: left;
}

.author__image img {
  border-radius: 50%;
  width: 100%;
}

.author__info {
  padding-left: 5%;
}

.author__info h3 {
  margin-top: 0;
}

.author__links {
  display: flex;
  list-style: none;
  padding: 0;
}

.author__links li {
  height: 30px;
  margin-left: 0.8em;
  width: 30px;
}

.author__links a:hover img {
  transform: rotate(360deg);
}

.author__links img {
  transition: 0.6s all;
  width: 100%;
}

.articles {
  padding: 0 5%;
}

.card {
  margin-bottom: 2%;
  padding: 2%;
}

.card a {
  color: inherit;
  display: block;
  text-decoration: none;
}

.card h3,
.card p,
.card span {
  font-family: "Avenir Next", Helvetica, Arial, sans-serif;
}

.card h3 {
  margin-bottom: 0.5em;
}

.card p {
  color: #797979;
}

.card__thumb {
  display: block;
  overflow: hidden;
  padding-top: 52.65%;
  position: relative;
}

.card__thumb:hover img {
  transform: translate(-50%, -50%) scale(1.2);
}

.card__thumb img {
  left: 50%;
  max-width: 100%;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  transition: 0.3s all;
}

.pagination {
  font-size: 1.2em;
  text-align: center;
}

.pagination__link {
  display: inline-block;
}

.pagination__link--prev {
  margin-right: 10px;
}

.pagination__link--next {
  margin-left: 10px;
}

.pagination__current {
  display: inline-block;
}

.post,
.post-aside,
.post-nav {
  padding: 0 5%;
}

.post {
  color: #444;
}

.post__title {
  font-size: 1.6em;
}

.post__date {
  color: #c2c6cc;
  text-align: right;
}

.post-content {
  margin-bottom: 3em;
}

.post-content img {
  border: 1px solid #eee;
  display: block;
  margin: 2em auto 3em;
  max-width: 100%;
}

.post-content p {
  line-height: 2;
  margin-bottom: 1.5em;
}

.post-content h2,
.post-content h3,
.post-content h4 {
  margin-top: 3em;
}

.post-content h2 {
  border-left: 5px solid hsl(14, 100%, 53%);
  padding-left: 0.5em;
}

.post-content li {
  line-height: 1.6;
}

.post-content li + li {
  margin-top: 0.5em;
}

.post-content > p code,
.post-content li code {
  background-color: #282c34;
  border-radius: 3px;
  color: #abb2bf;
  font-family: monospace, "Courier New", Courier, Monaco;
  font-size: 90%;
  margin: 0 0.5em;
  padding: 2px 4px;
}

.post-content blockquote {
  background-color: #ccc;
  font-style: italic;
  margin: 30px 0;
  padding: 30px;
}

.post-content blockquote a {
  font-size: 0.8em;
}

.post-hr {
  border-top: 1px solid #eee;
  margin: 25px auto;
}

.post-ad {
  margin: 10% auto 0;
  text-align: center;
}

.post-ad__head {
  display: block;
  font-size: 0.8em;
}

.post-ad__body {
  display: inline-block;
}

.post-nav ol {
  padding: 0;
}

.post-nav a {
  font-family: "Avenir Next", Helvetica, Arial, sans-serif;
  font-size: 1em;
  text-decoration: none;
}

.post-nav-label {
  display: block;
  font-weight: bold;
}

.post-nav-title {
  text-decoration: underline;
}

.post-nav-prev {
  padding-right: 2.5%;
}

.post-nav-next {
  padding-left: 2.5%;
  text-align: right;
}

.post-nav-back {
  text-align: center;
}

.amazlet-box {
  font-size: 1rem;
  margin: 40px 0;
}

.app-data,
.appfom1 {
  margin: 40px 0;
}

.appbanner {
  margin: 40px 0;
}

.kaerebalink-box {
  margin: 40px 0 20px;
}

.ShareInfo {
  margin: 20px 0;
}

.booklink-box {
  margin: 40px 0;
}
